Skip to main content
`Ctrl`+`K`
scipy.signal.

# abcd_normalize

scipy.signal.abcd_normalize(A=None, B=None, C=None, D=None)

  Check state-space matrices and ensure they are 2-D.

  If enough information on the system is provided, that is, enough properly-shaped arrays are passed to the function, the missing ones are built from this information, ensuring the correct number of rows and columns. Otherwise a ValueError is raised.

  Parameters:
    A, B, C, D array_like, optional

      State-space matrices. All of them are None (missing) by default. See `ss2tf` for format.

  Returns:
    A, B, C, D array

      Properly shaped state-space matrices.

  Raises:
    ValueError

      If not enough information on the system was provided.